Core - Bug # 56854

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-12 Assigned To:

Updated: 2014-03-14 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Tests: Incomplete mocking in BackendUstility Test

Description

Associated revisions

Revision 71373b3c - 2014-03-13 23:46 - Christian Kuhn

[BUGFIX] Tests: Incomplete mocking in BackendUTtility Test

Remove dependencies in BackendUtility Test with better mocking and
introduce static:: instead of self:: in BackendUtility for late

static binding.

The flexForm test for getExcludeFields() is separated to an own

test and an array duplication bug confusing array key and value

in getExcludeFields() is fixed along the way.

Change-Id: 1f242bab64075aee5050dfc77317e54dcb2f5e25d
Resolves: #56854

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28331

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-03-12 23:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28331

#2 - 2014-03-13 22:20 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28331
#3 - 2014-03-14 00:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:71373b3c448ccd985ac6c41377e94e68d28a67e5.
